be.vlaanderen.mercurius.wzcmh.common.v3

## Class DocumentListType

- java.lang.Object
- - be.vlaanderen.mercurius.wzcmh.common.v3.DocumentListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:08:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class DocumentListType
      extends Object
      implements Serializable

  Lijst van ondersteunende documenten

  Java class for DocumentListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DocumentListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Document" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentType" maxOccurs="30"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DocumentType>` | `getDocuments()` Gets the value of the documents property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentListType

          public DocumentListType()

  - ### Method Detail

    - #### getDocuments

          public List<DocumentType> getDocuments()

      Gets the value of the documents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the documents property.

      For example, to add a new item, do as follows:

              getDocuments().add(newItem);

      Objects of the following type(s) are allowed in the list `DocumentType`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.